Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.redelivery
Class AbstractRedeliveryHandler

    java.lang.Object
      org.mule.transport.jms.redelivery.AbstractRedeliveryHandler

All Implemented Interfaces:
  RedeliveryHandler

Direct Known Subclasses:
  CountingRedeliveryHandler, JmsXRedeliveryHandler

    public abstract class AbstractRedeliveryHandler

extends Object
implements RedeliveryHandler

Field Summary
`protected JmsConnector` | `connector`

Constructor Summary
`AbstractRedeliveryHandler()`

Method Summary
`protected MuleMessage` | `createMuleMessage(Message message)`
`abstract void` | `handleRedelivery(Message message, ImmutableEndpoint endpoint, FlowConstruct flow)` Process the redelivered message.
`void` | `setConnector(JmsConnector connector)` The connector associated with this handler is set before `handleRedelivery()` is called

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connector

    protected JmsConnector connector

Constructor Detail

### AbstractRedeliveryHandler

    public AbstractRedeliveryHandler()

Method Detail

### handleRedelivery

    public abstract void handleRedelivery(Message message,
                                          ImmutableEndpoint endpoint,
                                          FlowConstruct flow)
                                   throws JMSException,
                                          MuleException

  Description copied from interface: `RedeliveryHandler`
  Process the redelivered message. If the JMS receiver should process the message, it should be returned. Otherwise the connector should throw a `MessageRedeliveredException` to indicate that the message should be handled by the connector's exception handler.

  Specified by:
    `handleRedelivery` in interface `RedeliveryHandler`
  Parameters:
    `message` - the redelivered message
    `endpoint` - from which the message was received
  Throws:
    `JMSException` - if properties cannot be read from the JMSMessage
    `MessageRedeliveredException` - should be thrown if the message should be handled by the connection exception handler
    `MuleException` - if there is a problem reading or proessing the message

### setConnector

    public void setConnector(JmsConnector connector)

  The connector associated with this handler is set before `handleRedelivery()` is called

  Specified by:
    `setConnector` in interface `RedeliveryHandler`
  Parameters:
    `connector` - the connector associated with this handler

### createMuleMessage

    protected MuleMessage createMuleMessage(Message message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.